GDBserver

Functions
linux-osdata.h File Reference

Go to the source code of this file.

## Functions
int | linux_common_core_of_thread (ptid_t ptid)
LONGEST | linux_common_xfer_osdata (const char *annex, gdb_byte *readbuf, ULONGEST offset, ULONGEST len)

## Function Documentation

## ◆ linux_common_core_of_thread()

int linux_common_core_of_thread | ( | ptid_t | ptid | ) |

Definition at line 62 of file linux-osdata.c.

References gdb_fopen_cloexec(), MAX_PID_T_STRLEN, ptid_get_lwp(), ptid_get_pid(), xfree(), and xrealloc().

Referenced by get_cores_used_by_process(), and linux_xfer_osdata_threads().

## ◆ linux_common_xfer_osdata()

LONGEST linux_common_xfer_osdata | ( | const char * | annex,
|  | gdb_byte * | readbuf,
|  | ULONGEST | offset,
|  | ULONGEST | len
| ) |  |

Definition at line 1616 of file linux-osdata.c.

References buffer_finish(), buffer_free(), buffer_grow_str, buffer_grow_str0, buffer_init(), buffer_xml_printf(), gdb_assert, offset, osdata_table, and osdata_type::type.

Referenced by linux_qxfer_osdata().